
Runtime Infrastructure - Feature #1996

use generics to simplify the Resolvable class hierarchy

02/14/2013 11:15 AM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 02/14/2013 11:18 AM - Eric Faulhaber

- Start date deleted (02/14/2013)

Today we have type-specific subclasses of Resolvable (IntegerExpression, DecimalExpression, etc.).  This hierarchy was written before we had

moved to Java 5 (i.e., before generics).  These should be replaced with an implementation which leverages generics.  Note this will require

conversion changes as well, since these classes are emitted into business logic.

#2 - 02/14/2013 11:20 AM - Eric Faulhaber

- Project changed from Database to Runtime Infrastructure

#3 - 11/16/2016 01:21 PM - Greg Shah

- Target version deleted (23)
